KYC
Iniciar sessão PF
POST
/
api
/
v1
/
users
/
kyc
/
sessions
/
natural-person
Start PF session
curl --request POST \
--url https://app.pag.finance/api/v1/users/kyc/sessions/natural-person \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalUserId": "<string>",
"documentNumber": "<string>",
"fullName": "<string>",
"birthDate": "<string>",
"motherName": "<string>",
"email": "<string>",
"isPoliticallyExposedPerson": true,
"country": "<string>"
}
'import requests
url = "https://app.pag.finance/api/v1/users/kyc/sessions/natural-person"
payload = {
"externalUserId": "<string>",
"documentNumber": "<string>",
"fullName": "<string>",
"birthDate": "<string>",
"motherName": "<string>",
"email": "<string>",
"isPoliticallyExposedPerson": True,
"country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalUserId: '<string>',
documentNumber: '<string>',
fullName: '<string>',
birthDate: '<string>',
motherName: '<string>',
email: '<string>',
isPoliticallyExposedPerson: true,
country: '<string>'
})
};
fetch('https://app.pag.finance/api/v1/users/kyc/sessions/natural-person', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": null,
"data": {
"sessionId": "kyc_ab12",
"type": "PF",
"provider": "bigdatacorp",
"status": "PENDING",
"webViewUrl": "https://..."
}
}Autorizações
partnerApiKeyhmacAuth
Bearer API key: sk_live_...
Corpo
application/json
Resposta
201 - application/json
Success
The response is of type object.
⌘I
Start PF session
